FreeMat

- Main Page
- Related Pages

vtkXMLPRectilinearGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPRectilinearGridReader reads the PVTK XML RectilinearGrid file format. This reads the parallel format's summary file and then uses vtkXMLRectilinearGridReader to read data from the individual RectilinearGrid piece files. Streaming is supported. The standard extension for this reader's file format is "pvtr".

To create an instance of class vtkXMLPRectilinearGridReader, simply invoke its constructor as follows

      obj = vtkXMLPRectilinearGridReader

# Methods

The class vtkXMLPRectilinearGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPRectilinearGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPRectilinearGridReader = obj.NewInstance ()`
- `vtkXMLPRectilinearGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkRectilinearGrid = obj.GetOutput ()` - Get the reader's output.
- `vtkRectilinearGrid = obj.GetOutput (int idx)` - Get the reader's output.